Instagram story viewer> @the___golden____boy> Tagged
12K
followers
1769
following
🥊 Pro MMA Fighter
🤼 MMA & Kickboxing tips
⚡️ Manager: @alqaisimma
📍Phuket - @southsidemma_thailand
#yazeedhasanain #uaewarriors #pfl
POSTS STORIES REELS TAGGED
🚨 احصائيات عربية قتالية لشهر سبتمبر 2026 🚨

تجدوا في الصفحة الثانية احصائيات لأفضل الدول العربية انتاجاً لخامات مقاتلي mma

الحساب سيكون تراكمي هذا العام كما هو موضح وسيتم تصفير العداد بداية العام القادم

بالتوفيق لجميع المقاتلين في أكتوبر 🔥

#statistics #mma101_بالعربي #fastest #slowest
30
They had something to settle.

The story started when Yazeed had to pull out of the first fight for medical reasons.

He came back for the second fight and proved he was ready for the challenge. 

The beef continued on social media, but the real answer came inside the cage.

Yazeed Hasanen vs Ahmad Yehya.

RFC002 started the story, RFC003 wrote the ending.

#RFC004 #RFC #MMA #Jordan #RoyalFightingChampionship
101
أسماء مختلفة, عقلية وحدة.
Different names, One mindset.

Meet the faces of RFC.

#RFC003 #MMA #FightNight #RFC #RoyalFightingChampionship
15
لسا النار مولعة. 🔥
يزيد حسنين بعد النزال مباشرة.

Still fired up. 
Yazeed Hasanen, right after the fight.

‏#RFC003 #MMA #FightNight #RFC #RoyalFightingChampionship
25
The beef was personal.
The cage settled it. 

Yazeed Hasaneen came to make a statement.

#RFC003 #MMA #FightNight #RFC #RoyalFightingChampionship
16
🇯🇴🇯🇴🇯🇴
11
RFC 003 the cage side coverage with @focusfilmservices
44
MISSION ACCOMPLISHED. 

Yazeed Hasaneen speaks after getting it done.

#RFC003 #MMA #FightNight #RFC #RoyalFightingChampionship
49
مبروك يا ساهر يا بطل، بتستاهل 👊🏼❤️

يعطيكم العافية RFC على هاليوم، وشكر خاص لعلي القيسي على كل اللي عم بعمله لدعم وتطوير رياضة الـMMA بالأردن.

والجاي أقوى إن شاء الله 🔥
25
قدم الثنائي قتالاً محتدماً خطف أنفاس الجمهور، قبل أن يطلق يزيد حسنين قذيفة مدوية أنهت النزال بضربة قاضية (KO) مذهلة في الجولة الأولى أمام أحمد يحيى وسط تفاعل جنوني من الحضور ⚡
 Both warriors left everything on the line in a thrilling battle, but Yazed Hasanen brought the house down with a stunning, massive knockout (KO) in Round 1 against Ahmed Yahia to claim an incredible victory 💥⚡
18
back to up